<section class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1>My Missions Board</h1>
      </div>
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a style="color: dodgerblue">Mission</a></li>
          <li class="breadcrumb-item active">My Missions Board</li>
        </ol>
      </div>
    </div>
  </div><!-- /.container-fluid -->
</section>

<div class="container-fluid">

  <div class="row">
    <!--        <div class="col-md-6">-->
    <!--          <div class="card card-default">-->
    <!--            <div class="card-header">-->
    <!--              <h3 class="card-title">-->
    <!--                <i class="fas fa-exclamation-triangle"></i>-->
    <!--                Alerts-->
    <!--              </h3>-->
    <!--            </div>-->
    <!--            &lt;!&ndash; /.card-header &ndash;&gt;-->
    <!--            <div class="card-body">-->
    <!--              <div class="alert alert-danger alert-dismissible">-->
    <!--                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>-->
    <!--                <h5><i class="icon fas fa-ban"></i> Alert!</h5>-->
    <!--                Danger alert preview. This alert is dismissable. A wonderful serenity has taken possession of my-->
    <!--                entire-->
    <!--                soul, like these sweet mornings of spring which I enjoy with my whole heart.-->
    <!--              </div>-->
    <!--              <div class="alert alert-info alert-dismissible">-->
    <!--                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>-->
    <!--                <h5><i class="icon fas fa-info"></i> Alert!</h5>-->
    <!--                Info alert preview. This alert is dismissable.-->
    <!--              </div>-->
    <!--              <div class="alert alert-warning alert-dismissible">-->
    <!--                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>-->
    <!--                <h5><i class="icon fas fa-exclamation-triangle"></i> Alert!</h5>-->
    <!--                Warning alert preview. This alert is dismissable.-->
    <!--              </div>-->
    <!--              <div class="alert alert-success alert-dismissible">-->
    <!--                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>-->
    <!--                <h5><i class="icon fas fa-check"></i> Alert!</h5>-->
    <!--                Success alert preview. This alert is dismissable.-->
    <!--              </div>-->
    <!--            </div>-->
    <!--            &lt;!&ndash; /.card-body &ndash;&gt;-->
    <!--          </div>-->
    <!--          &lt;!&ndash; /.card &ndash;&gt;-->
    <!--        </div>-->
    <!-- /.col -->

    <div class="col-md-4">
      <div class="card card-primary card-outline">
        <div class="card-header">
          <h3 class="card-title">
            <i class="fas fa-bullhorn"></i>
            ToDo {{undoneMissions.length}}
          </h3>
        </div>
        <!-- /.card-header -->
        <div class="card-body" *ngFor="let m of undoneMissions">

          <div class="info-box" >


            <div class="info-box-content">
              <span class="info-box-text"[routerLink]="['/missiondetails', m.id]">{{m.title}}</span>
              <span class="info-box-number">{{m.date|date:'dd-MM-yyyy'}}</span>
            </div>
            <span class="info-box-icon btn-outline-dark" (click)="StartMission(m.id,AvatarEmail)"><i class="fas fa-play"></i></span>
            <!-- /.info-box-content -->
          </div>
        </div>
        <!-- /.card-body -->
      </div>
      <!-- /.card -->
    </div>
    <div class="col-md-4">
      <div class="card card-warning card-outline">
        <div class="card-header">
          <h3 class="card-title">
            <i class="fas fa-bullhorn"></i>
            Doing {{doingMissions.length}}
          </h3>
        </div>
        <!-- /.card-header -->
        <div class="card-body" *ngFor="let r of doingMissions">
          <div class="info-box">


            <div class="info-box-content">
              <span class="info-box-text">{{r.title}}</span>
              <span class="info-box-number">{{r.date|date:'dd-MM-yyyy'}}</span>
            </div>
            <span class="info-box-icon btn-outline-dark" (click)="EndMission(r.id,AvatarEmail)"><i class="fas fa-tasks"></i></span>
            <!-- /.info-box-content -->
          </div>



        </div>
        <!-- /.card-body -->
      </div>
      <!-- /.card -->
    </div>
    <div class="col-md-4">
      <div class="card card-success card-outline">
        <div class="card-header">
          <h3 class="card-title">
            <i class="fas fa-bullhorn"></i>
            Done {{doneMissions.length}}
          </h3>
        </div>
        <!-- /.card-header -->
        <div class="card-body" *ngFor="let t of doneMissions">
          <div class="info-box">


            <div class="info-box-content">
              <span class="info-box-text">{{t.title}}</span>
              <span class="info-box-number">{{t.date|date:'dd-MM-yyyy'}}</span>
            </div>
            <span class="info-box-icon btn-outline-primary" ><i class="fas fa-check-double"></i></span>
            <!-- /.info-box-content -->
          </div>

        </div>
        <!-- /.card-body -->
      </div>
      <!-- /.card -->
    </div>
    <!-- /.col -->
  </div>
  <!-- /.row -->
  <!-- END ALERTS AND CALLOUTS -->




</div><!-- /.container-fluid -->

<!-- /.content -->

<!--<div class="callout callout-info">-->
<!--  <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>-->
<!--  <h5>I am an info callout!</h5>-->

<!--  <p>Follow the steps to continue to payment.</p>-->
<!--</div>-->
